Personal tools

Himerge

From HaskellWiki

(Difference between revisions)
Jump to: navigation, search
 
(One intermediate revision by one user not shown)
Line 3: Line 3:
 
== Latest Release (Beta) ==
 
== Latest Release (Beta) ==
   
Himerge version '''0.30.30''' released on Oct, 27, 2008.
+
Himerge version '''0.30.37''' released on May, 26, 2009.
   
[http://www.haskell.org/himerge/release/himerge-0.30.30.tar.gz http://www.haskell.org/himerge/release/himerge-0.30.30.tar.gz]
+
[http://www.haskell.org/himerge/release/himerge-0.30.37.tar.gz http://www.haskell.org/himerge/release/himerge-0.30.37.tar.gz]
   
 
You always can check the latest himerge screen-shot from [http://www.haskell.org/himerge/himerge-screens/lasthimerge.png this link]
 
You always can check the latest himerge screen-shot from [http://www.haskell.org/himerge/himerge-screens/lasthimerge.png this link]

Latest revision as of 11:09, 26 May 2009

This wiki site is supposed to be the place containing all the possible information and documentation for Himerge

Contents

[edit] 1 Latest Release (Beta)

Himerge version 0.30.37 released on May, 26, 2009.

http://www.haskell.org/himerge/release/himerge-0.30.37.tar.gz

You always can check the latest himerge screen-shot from this link

[edit] 2 News

  • Himerge version 0.30 is available in the darcs repo, newest features are: users now can use himerge without root access, a list of command line options.

[edit] 3 FAQs

[edit] 3.1 What does Himerge really/exactly stands for?

It technically stands for "Haskell Interface for eMerge" ; though I personally can also think about some funny terms like:

  - Hi 'emerge'
  - High-Emerge
  - Himerge Is (only) emerge

[edit] 3.2 How do I install Himerge?

Since emerge is the Gentoo package manager, these instructions are unlikely to work on any other distro/OS unless of course you have installed prefixed portage.

You need to unmask several packages, by putting the following in /etc/portage/package.keywords to run the 'unstable' branch. Note that these are actually developed in the haskell overlay before moving to the portage tree.

# haskell
dev-lang/ghc
dev-haskell/cabal
# haskell deps
dev-haskell/mtl
dev-haskell/filepath
dev-haskell/regex-base
dev-haskell/regex-posix
dev-haskell/regex-compat

# himerge
app-portage/himerge
dev-haskell/parallel
dev-haskell/gtk2hs

If you're currently running stable ghc, you should upgrade ghc first and then run ghc-updater. Either way, it would be good to emerge ghc first, then emerge himerge.

[edit] 3.3 Every time I try to search for a package I receive the 'Package not found' error

Himerge uses eix for searching packages in the tree, so every time you sync, you also need to update the eix database. After a sync just do Ctrl+U or go to the "Tools -> Update Eix" option in the main menu bar to solve it.

Note: The eix database is automatically updated after every sync operation since Himerge version 0.17.3.

[edit] 3.4 I get a 'System.Glib error' when trying to run Himerge

Check out that you have run the script install_data.sh as explained in the readme.txt installation instructions.

[edit] 3.5 Why the web links don't open in my favorite browser?

Himerge uses the gecko engine of gtkmozembed internally for the web panel, which makes firefox or firefox-alike packages a requirement for the system, so it makes sense to have firefox as the default browser.

Note: Since version 0.30 you can specify the web browser you want to use for opening the web links, using the command line flag '--webrowser'. Notice how you still need firefox or xulrunner installed since it is needed for the gecko engine.

[edit] 3.6 Why do I need to click twice on the packages web link to launch the browser?

This is a work-around due to a gtkmozembed bug, probably related to gtk2hs too. The problem has already been reported and probably will have a fix in the near future.

[edit] 3.7 The toolbar buttons title doesn't shows and I get an 'sh: kde-config: command not found' everytime I start Himerge

This is a qt-engine known issue that affects gtk. The solution is to change the gtk-engine you are using to other different than 'qt' or 'qt-curve'.

[edit] 3.8 Himerge with Firefox 3

The Firefox 3 package doesn't contain anymore the gtkmozembed library, you will need to re-install gtk2hs and Himerge with the 'xulrunner' USE flag enabled.